This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 699386 - CLONE: group operations are broken when one fails
CLONE: group operations are broken when one fails
Status: NEW
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
3.0.0
Unspecified Unspecified
high Severity high (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
:
Depends On: 697001
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-25 09:56 EDT by John Mazzitelli
Modified: 2012-04-27 09:02 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 697001
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Mazzitelli 2011-04-25 09:56:19 EDT
+++ This bug was initially created as a clone of Bug #697001 +++

Read that issue for fuller details, but here is the description:

Description of problem:

If you have a group operation where one of the resources fails, the other operations never get out of "inprogress".

How reproducible:

create a group op with multiple resources. Ensure one of them fails. Notice that some of the others are still in in progress and never complete. Do NOT select "halt on error" to ensure you say you want all operations to be invoked.

I used "parallel" execution - did not specify any order to execute each operation.

Note You need to log in before you can comment on or make changes to this bug.